declare function splitParagraphs(text: string): string[];

type SupportedLanguages = "en" | "zh";

declare function splitSentences(text: string, options: {
    lang?: SupportedLanguages;
}): RegExpMatchArray | null;

declare function splitPhrases(text: string, options: {
    lang?: SupportedLanguages;
}): RegExpMatchArray | null;

declare function splitWord(text: string, options: {
    lang?: SupportedLanguages;
}): string[];

declare function createSegmentation(text: string, options: {
    lang?: SupportedLanguages;
    segmentation: "paragraphs" | "sentences" | "phrases" | "words";
}): string[] | null;

export { SupportedLanguages, createSegmentation, splitParagraphs, splitPhrases, splitSentences, splitWord };
